﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;
using System.Web.Mvc;
using Telerik.JustMock;

namespace JustMockNUnit.Test
{
    [TestFixture]
    public class Class1
    {
        [Test]
        public void TestMethod1()
        {
            var urlHelper = Mock.Create<UrlHelper>();

            Mock.Arrange(() => urlHelper.Action(Arg.IsAny<string>(), Arg.IsAny<string>()))
                 .DoInstead((string actionName, string controllerName) => { })
                 .Returns((string actionName, string controllerName) => string.Format("/{0}/{1}", controllerName, actionName));

            var actual = urlHelper.Action("index", "home");


            Assert.AreEqual("/home/index", actual);
        }

    }
}
